AviaSkins.Forums

Вернуться   AviaSkins.Forums > Основные разделы > Ил-2 Штурмовик: Забытые Сражения

Ответ
 
Опции темы Поиск в этой теме Опции просмотра
Старый 24.06.2023, 15:59   #221
=BW=777
Пользователь
 
Регистрация: 29.03.2019
Адрес: Брянск
Сообщений: 62
По умолчанию

Переустановил винду - 10-ка про лицензионная. Столкнулся с тем, что могу запустить только 14.1 версию игры. При установке патча 4.15 перебрал все варианты. Кто подскажет как победить эту печаль? Самое смешное, что до переустановки все нормально работало, правда при установке свеже вышедшего патча пропадал звук, при нескольких вариантах установки, но игра запускалась. Звук появился методом тыка, при очередной попытке переустановки патча. Вы бы может это поправили бы как нибудь? Почитал ветку - бедолаг, у которых старичёк не запускается хватает. Хотя верится с трудом. Пациент скорее мертв, чем жив. Придется переквалифицироваться наверное в БЗС или ДКС вирпила.

Последний раз редактировалось =BW=777; 24.06.2023 в 16:05.
=BW=777 вне форума   Ответить с цитированием
Старый 24.06.2023, 16:06   #222
=BW=777
Пользователь
 
Регистрация: 29.03.2019
Адрес: Брянск
Сообщений: 62
По умолчанию

Сколько летаю в старичке - с 2005 примерно, с таким не сталкивался.
=BW=777 вне форума   Ответить с цитированием
Старый 24.06.2023, 16:33   #223
andrey65
Модератор
 
Аватар для andrey65
 
Регистрация: 05.11.2007
Адрес: Кемеровская область
Сообщений: 7,031
Отправить сообщение для andrey65 с помощью ICQ
По умолчанию

Цитата:
Сообщение от =BW=777 Посмотреть сообщение
Переустановил винду - 10-ка про лицензионная. Столкнулся с тем, что могу запустить только 14.1 версию игры. При установке патча 4.15 перебрал все варианты. Кто подскажет как победить эту печаль? Самое смешное, что до переустановки все нормально работало, правда при установке свеже вышедшего патча пропадал звук, при нескольких вариантах установки, но игра запускалась. Звук появился методом тыка, при очередной попытке переустановки патча. Вы бы может это поправили бы как нибудь? Почитал ветку - бедолаг, у которых старичёк не запускается хватает. Хотя верится с трудом. Пациент скорее мертв, чем жив. Придется переквалифицироваться наверное в БЗС или ДКС вирпила.
А что в 4.15 такого уникального? Ю-52 и Д-520 давно есть в модах. И даже есть выдернутые из 4.15. Может, не мучиться, и поставить моды? Как не обидно...
andrey65 вне форума   Ответить с цитированием
Старый 24.06.2023, 16:41   #224
=BW=777
Пользователь
 
Регистрация: 29.03.2019
Адрес: Брянск
Сообщений: 62
По умолчанию

Цитата:
Сообщение от andrey65 Посмотреть сообщение
А что в 4.15 такого уникального? Ю-52 и Д-520 давно есть в модах. И даже есть выдернутые из 4.15. Может, не мучиться, и поставить моды? Как не обидно...
Я в старичке летаю только онлайн и в основном на Алекс-сервере. А он переведен на 4.15.1
=BW=777 вне форума   Ответить с цитированием
Старый 24.06.2023, 19:15   #225
Alexander
Местный
 
Аватар для Alexander
 
Регистрация: 25.12.2008
Сообщений: 117
По умолчанию

Цитата:
Сообщение от =BW=777 Посмотреть сообщение
Переустановил винду - 10-ка про лицензионная. Столкнулся с тем, что могу запустить только 14.1 версию игры. При установке патча 4.15 перебрал все варианты. Кто подскажет как победить эту печаль? Самое смешное, что до переустановки все нормально работало, правда при установке свеже вышедшего патча пропадал звук, при нескольких вариантах установки, но игра запускалась. Звук появился методом тыка, при очередной попытке переустановки патча. Вы бы может это поправили бы как нибудь? Почитал ветку - бедолаг, у которых старичёк не запускается хватает. Хотя верится с трудом. Пациент скорее мертв, чем жив. Придется переквалифицироваться наверное в БЗС или ДКС вирпила.
1. Папка с игрой и путь к этой папке должен быть написан латиницей, никаких русских букв❕(кириллицы). Пример правильного пути к папке с игрой D:/Games/IL-2
Пример неправильного пути к папке с игрой D:/Игры/IL-2

2. Проверить разрешение экрана в conf.ini
в разделе [window]:
width=1920
height=1080
Эти значения должны соответствовать параметрам разрешения монитора, которое можно посмотреть, например, в параметрах экрана Windows 10. Если они отличаются меняем их ручками и сохраняем файл. Да, и файл conf.ini должен не иметь атрибута "Только чтение"

3. Если в патче 4.15 нет звука в игре, нужно удалить файл dsound.dll, пересоздать секцию [sound] в conf.ini (полностью удалить все параметры из нее, запустить и закрыть Ил-2), и изменить значения SoundUse, SoundEngine и Speakers на 1 и при последующем запуске звук будет работать.
Alexander вне форума   Ответить с цитированием
Старый 25.06.2023, 02:19   #226
=BW=777
Пользователь
 
Регистрация: 29.03.2019
Адрес: Брянск
Сообщений: 62
По умолчанию

Цитата:
Сообщение от Alexander Посмотреть сообщение
1. Папка с игрой и путь к этой папке должен быть написан латиницей, никаких русских букв❕(кириллицы). Пример правильного пути к папке с игрой D:/Games/IL-2
Пример неправильного пути к папке с игрой D:/Игры/IL-2

2. Проверить разрешение экрана в conf.ini
в разделе [window]:
width=1920
height=1080
Эти значения должны соответствовать параметрам разрешения монитора, которое можно посмотреть, например, в параметрах экрана Windows 10. Если они отличаются меняем их ручками и сохраняем файл. Да, и файл conf.ini должен не иметь атрибута "Только чтение"

3. Если в патче 4.15 нет звука в игре, нужно удалить файл dsound.dll, пересоздать секцию [sound] в conf.ini (полностью удалить все параметры из нее, запустить и закрыть Ил-2), и изменить значения SoundUse, SoundEngine и Speakers на 1 и при последующем запуске звук будет работать.
первые два пункта перечисленные Вами я соблюдал. Третий не имел возможности, так как игра тупо не запускается.
=BW=777 вне форума   Ответить с цитированием
Старый 25.06.2023, 08:12   #227
Alexander
Местный
 
Аватар для Alexander
 
Регистрация: 25.12.2008
Сообщений: 117
По умолчанию

Цитата:
Сообщение от =BW=777 Посмотреть сообщение
первые два пункта перечисленные Вами я соблюдал. Третий не имел возможности, так как игра тупо не запускается.
В папке с игрой пробовали удалить файл dsound.dll и запустить игру?

Попробовать установить библиотеки C++
https://softreview.ucoz.ru/load/10-1-0-196
Внизу под таблицей две ссылки на 32-bit и 64-bit (выбираем в соответствии с разрядностью Windows)
Alexander вне форума   Ответить с цитированием
Старый 25.06.2023, 12:02   #228
=BW=777
Пользователь
 
Регистрация: 29.03.2019
Адрес: Брянск
Сообщений: 62
По умолчанию

Огромное Вам человеческое спасибо. Как кричал кот Матроскин: "Уррра!!! Заработало!"
=BW=777 вне форума   Ответить с цитированием
Старый 25.06.2023, 14:00   #229
Alexander
Местный
 
Аватар для Alexander
 
Регистрация: 25.12.2008
Сообщений: 117
По умолчанию

Цитата:
Сообщение от =BW=777 Посмотреть сообщение
Огромное Вам человеческое спасибо. Как кричал кот Матроскин: "Уррра!!! Заработало!"
Библиотеки С++ помогли?
Alexander вне форума   Ответить с цитированием
Старый 25.06.2023, 20:14   #230
yt2
Местный
 
Регистрация: 18.01.2012
Сообщений: 786
По умолчанию

Для 4.15 нужно Microsoft Visual C++ 2015-2022 Redistributable (x32)
yt2 вне форума   Ответить с цитированием
Старый 26.06.2023, 13:12   #231
=BW=777
Пользователь
 
Регистрация: 29.03.2019
Адрес: Брянск
Сообщений: 62
По умолчанию

Цитата:
Сообщение от Alexander Посмотреть сообщение
Библиотеки С++ помогли?
Да и удаление дээлки дсаунд
=BW=777 вне форума   Ответить с цитированием
Старый 24.09.2023, 13:27   #232
Vova
Новичок
 
Регистрация: 24.09.2023
Сообщений: 9
По умолчанию

Коллеги привет! Установил патч 4.15.1. В простом редакторе все нормально, но в игре по сети при выборе самолета вылет на рабочий стол. В 4.14.1 все было нормально. Система вин 10.
Vova вне форума   Ответить с цитированием
Старый 18.12.2023, 22:42   #233
идиот
Пользователь
 
Регистрация: 19.10.2015
Сообщений: 31
По умолчанию

Цитата:
Сообщение от BETEPAH Посмотреть сообщение
После установки поверх чистого 4.14.1 в любой из предложенных комбинаций при попытке запуска выскакивает ошибка:


Я правильно понимаю, что теперь можно помахать ручкой запуску старичка Ил-2 на ХР? Хотя в ридми прямо об этом не говорится?
Можно помахать, последняя на xp и после мучений настройки Java SE 8u321, они же погнались моде и взяли последние 8u333 (4.15.1-8u351)

http://neonfloppy.sytes.net/software/winxp/java/
идиот вне форума   Ответить с цитированием
Старый 19.12.2023, 17:10   #234
andrey65
Модератор
 
Аватар для andrey65
 
Регистрация: 05.11.2007
Адрес: Кемеровская область
Сообщений: 7,031
Отправить сообщение для andrey65 с помощью ICQ
По умолчанию

Просьба к пользователю сменить имя.
Правила форума:

Цитата:
2.1. Выбор имени пользователя (nickname) и аватара является Вашим исключительным правом. Однако Администрация оставляет за собой право принять меры к прекращению использования имени пользователя (nickname) или аватара вплоть до удаления учетной записи пользователя, если их использование нарушает общепринятые моральные и этические нормы или является оскорбительным для других пользователей форума.
andrey65 вне форума   Ответить с цитированием
Старый 02.02.2024, 10:56   #235
Злой Бонифаций
Новичок
 
Регистрация: 02.02.2024
Сообщений: 2
По умолчанию

Добрый день.
Возникла проблема с установкой релиза 4.15.

Начинается установка, и выскакивает сообщение :
-Установлена программа winpcap ... что-то там... удалить, и продолжить установку.

И всё, дальше не пускает, и сделать ничего нельзя.

Проблема в том. что никакой программы Wincpac у меня НЕТ, удалять нечего.
Ничего с таким именем нет ни в списке установленных, нигде! Ни в папках, от экзешников с таким именем.
Нельзя ли где то скачать просто архив, а не екзешник с патчем ?
Злой Бонифаций вне форума   Ответить с цитированием
Старый 02.02.2024, 12:29   #236
andrey65
Модератор
 
Аватар для andrey65
 
Регистрация: 05.11.2007
Адрес: Кемеровская область
Сообщений: 7,031
Отправить сообщение для andrey65 с помощью ICQ
По умолчанию

Скачивали откуда, если не секрет?
andrey65 вне форума   Ответить с цитированием
Старый 02.02.2024, 14:18   #237
Злой Бонифаций
Новичок
 
Регистрация: 02.02.2024
Сообщений: 2
По умолчанию

Цитата:
Сообщение от andrey65 Посмотреть сообщение
Скачивали откуда, если не секрет?
По ссылке на Сухом, с Яндекс.диска
Злой Бонифаций вне форума   Ответить с цитированием
Старый 02.02.2024, 18:04   #238
yt2
Местный
 
Регистрация: 18.01.2012
Сообщений: 786
По умолчанию

Начну издалека. Библиотека winpcap.dll нештатная. На голой винде её никогда нет. Она может входить в состав тулз, например wireshark. Чтобы корректно установить патч 4.14/4.15 эту библиотеку с компьютера нужно убрать.
yt2 вне форума   Ответить с цитированием
Старый 02.02.2024, 18:47   #239
fdelre
Пользователь
 
Регистрация: 13.01.2009
Сообщений: 70
По умолчанию

but IL-2 has nothing to do with the winpcap.dll even if it is "non standard" and all the versions up to 4.14 are perfectly compatible so why suddenly there is a need to remove it?
Could you please explain what is the conflict?

но IL-2 не имеет ничего общего с winpcap.dll, даже если он "нестандартный" и все версии до 4.14 прекрасно совместимы, так с чего вдруг возникла необходимость его удалить?
Не могли бы вы объяснить, в чем заключается конфликт?
fdelre вне форума   Ответить с цитированием
Ответ


Здесь присутствуют: 1 (пользователей: 0 , гостей: 1)
 
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск
Опции просмотра

Ваши права в разделе
Вы не можете создавать новые темы
Вы не можете отвечать в темах
Вы не можете прикреплять вложения
Вы не можете редактировать свои сообщения

BB коды Вкл.
Смайлы Вкл.
[IMG] код Вкл.
HTML код Выкл.

Быстрый переход


Текущее время: 12:58. Часовой пояс GMT +3.


Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2024, Jelsoft Enterprises Ltd. Перевод: zCarot
Рейтинг@Mail.ru